#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kalarm
Summary:	kalarm
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	8bf759aa61f677e53db26079dccc9565
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	ka5-akonadi-devel >= 18.04.0
BuildRequires:	ka5-kcalutils-devel >= %{kdeappsver}
BuildRequires:	ka5-kimap-devel >= %{kdeappsver}
BuildRequires:	ka5-mailcommon-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kauth-devel >= %{kframever}
BuildRequires:	kf5-kcmutils-devel >= %{kframever}
BuildRequires:	kf5-kcodecs-devel >= %{kframever}
BuildRequires:	kf5-kcompletion-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdelibs4support-devel >= %{kframever}
BuildRequires:	kf5-kholidays-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kjobwidgets-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExcludeArch:	x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KAlarm is a personal alarm message, command and email scheduler.

Features

• Display alarms using your own text message, the text generated by
a command, or a text or image file. • Audible alarm using a sound
file • Recurring alarm on an hours/minutes, daily, weekly, monthly
or annual basis, or set it to trigger every time you log in. •
Display alarms color and font customization • Support for multiple
alarm calendars, which for example enables you to share alarms between
a laptop and desktop computer.

%description -l pl.UTF-8
KAlarm jest osobistym budzikiem i harmonogramem.

Własciwości

• Wyświetla własne wiadomości tekstowe, lub tekst wygenerowany
przez program, lub wyświetla plik tekstowy bądź obrazek •
Dźwiękowe powiadomomienia • Powtarzalne alarmy, o określonej
godzinie/minucie, dzienne, tygodniowe, miesięczne lub roczne a także
wyzwalane wtedy gdy się zalogujesz • Możliwość konfiguracji
koloru i rodzaju czcionki • Wsparcie dla wielu kalendarzy
powiadomień, co pozwala na przykład współdzielić alarmy między
laptopem a komputerem stacjonarnym

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
/etc/xdg/autostart/kalarm.autostart.desktop
%attr(755,root,root) %{_bindir}/kalarm
%attr(755,root,root) %{_bindir}/kalarmautostart
%{_prefix}/libexec/kauth/kalarm_helper
%{_desktopdir}/org.kde.kalarm.desktop
%{_datadir}/config.kcfg/kalarmconfig.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%{_iconsdir}/hicolor/128x128/apps/kalarm.png
%{_iconsdir}/hicolor/16x16/apps/kalarm.png
%{_iconsdir}/hicolor/22x22/apps/kalarm.png
%{_iconsdir}/hicolor/32x32/apps/kalarm.png
%{_iconsdir}/hicolor/48x48/apps/kalarm.png
%{_iconsdir}/hicolor/64x64/apps/kalarm.png
%{_datadir}/kalarm
%dir %{_datadir}/kxmlgui5/kalarm
%{_datadir}/kxmlgui5/kalarm/kalarmui.rc
%{_datadir}/metainfo/org.kde.kalarm.appdata.xml
%{_datadir}/polkit-1/actions/org.kde.kalarm.rtcwake.policy
%{_datadir}/dbus-1/system-services/org.kde.kalarm.rtcwake.service
%{_datadir}/dbus-1/system.d/org.kde.kalarm.rtcwake.conf
%{_datadir}/qlogging-categories5/kalarm.categories
%{_datadir}/qlogging-categories5/kalarm.renamecategories
%{_datadir}/knotifications5/kalarm.notifyrc
%ghost %{_libdir}/libkalarmcalendar.so.5
%{_libdir}/libkalarmcalendar.so.*.*.*
%ghost %{_libdir}/libkalarmplugin.so.5
%{_libdir}/libkalarmplugin.so.*.*.*
%dir %{_libdir}/qt5/plugins/pim5/kalarm
%{_libdir}/qt5/plugins/pim5/kalarm/akonadiplugin.so
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kalarm.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6d0a2b7
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5083892
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ce0bcb0
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d13d96f
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9dc124c
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9d5e403
- updated to 22.08.1

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 26a414f
- relup

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 772e159
- relup

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 505915f
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bc6f7bc
- updated to 22.04.3

* Wed Jun 15 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0a75c14
- replacing ExclusiveArch with ExcludeArch

* Sun Jun 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7381b7b
- excluding x32

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4120810
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cb403c9
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6fd78c6
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 06d9786
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8f127d3
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 605233f
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f7a02da
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> de3bff7
- updated to 21.12.0

